Installation help

 
 
Picture of Halil Türkoğlu
How to install Moodle 2.4.1 with mysql?
 

Hello,

I want to install the last version of Moodle in my website. However, my host only provides with mysql but not with mysqli. Is there a way for me to install the last version of Moodle? In the options when the database selection is asked, is there mysql there, maybe I could not see or understand? The options are:

mysqli,pgsql,oci,sqlsrv,mssql.

Those options are not provided by me host either. 

PS: I have to install the latest version.

Thank you.

 
Average of ratings: -
Picture of Ken Task
Re: How to install Moodle 2.4.1 with mysql?
Group Particularly helpful Moodlers

It's been my experience with open sourced apps (about 12+ years now) to stick pretty much with recommended software requirements rather than look for 'work-arounds' that might come back to haunt you later.  Uhhh, been there ... done that ... it hurt! :|

From answers.yahoo.com ...

"In relation to PHP programming language, MySQL is the old database driver, and MySQLi is the Improved driver. MySQLi takes advantage of the newer features of MySQL 5. Lifted verbatim from the php.net site:

- Object-oriented interface
- Support for Prepared Statements
- Support for Multiple Statements
- Support for Transactions
- Enhanced debugging capabilities
- Embedded server support

Might have to enage in more discussion with current provider (get off shared hosting and onto VPS where one is IN control - for a price) or seek another provider.

My 2 cents ...

'spirit of sharing', Ken

 
Average of ratings: -